Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.presentations
Interface IPresentablePart

public interface IPresentablePart

This is a skin's interface to the contents of a view or editor. Note that this is essentially the same as IWorkbenchPart, except it does not provide access to lifecycle events and allows repositioning of the part. Not intended to be implemented by clients.

Since:
  3.0

Field Summary
`static int` | `PROP_BUSY` The property id for `isBusy`.
`static int` | `PROP_CONTENT_DESCRIPTION` The property id for `IWorkbenchPart2.getContentDescription()`
`static int` | `PROP_DIRTY` The property id for `isDirty`.
`static int` | `PROP_HIGHLIGHT_IF_BACK` The property id for highlighting the part if it is not in front.
`static int` | `PROP_INPUT` The property id for `getEditorInput`.
`static int` | `PROP_PANE_MENU` The property id for pane menu changes
`static int` | `PROP_PART_NAME` The property id for `IWorkbenchPart2.getContentDescription()`
`static int` | `PROP_TITLE` The property id for `getTitle`, `getTitleImage` and `getTitleToolTip`.
`static int` | `PROP_TOOLBAR` The property id for toolbar changes

Method Summary
`void` | `addPropertyListener(IPropertyListener listener)` Adds a listener for changes to properties of this workbench part.
`Control` | `getControl()` Returns an SWT control that can be used to indicate the tab order for this part.
`IPartMenu` | `getMenu()` Returns the menu for this part or null if none
`String` | `getName()` Returns the short name of the part.
`String` | `getTitle()` Returns the title of this workbench part.
`Image` | `getTitleImage()` Returns the title image of this workbench part.
`String` | `getTitleStatus()` Returns the status message from the part's title, or the empty string if none.
`String` | `getTitleToolTip()` Returns the title tool tip text of this workbench part.
`Control` | `getToolBar()` Returns the local toolbar for this part, or null if this part does not have a local toolbar.
`boolean` | `isBusy()` Return true if the the receiver is currently in a busy state.
`boolean` | `isDirty()` Returns true iff the contents of this part have changed recently.
`void` | `removePropertyListener(IPropertyListener listener)` Remove a listener that was previously added using addPropertyListener.
`void` | `setBounds(Rectangle bounds)` Sets the bounds of this part.
`void` | `setFocus()` Forces this part to have focus.
`void` | `setVisible(boolean isVisible)` Notifies the part whether or not it is visible in the current perspective.

Field Detail

### PROP_DIRTY

    public static final int PROP_DIRTY

  The property id for `isDirty`.

  See Also:
    Constant Field Values

### PROP_INPUT

    public static final int PROP_INPUT

  The property id for `getEditorInput`.

  See Also:
    Constant Field Values

### PROP_TITLE

    public static final int PROP_TITLE

  The property id for `getTitle`, `getTitleImage` and `getTitleToolTip`.

  See Also:
    Constant Field Values

### PROP_CONTENT_DESCRIPTION

    public static final int PROP_CONTENT_DESCRIPTION

  The property id for `IWorkbenchPart2.getContentDescription()`

  See Also:
    Constant Field Values

### PROP_PART_NAME

    public static final int PROP_PART_NAME

  The property id for `IWorkbenchPart2.getContentDescription()`

  See Also:
    Constant Field Values

### PROP_BUSY

    public static final int PROP_BUSY

  The property id for `isBusy`.

  See Also:
    Constant Field Values

### PROP_TOOLBAR

    public static final int PROP_TOOLBAR

  The property id for toolbar changes

  See Also:
    Constant Field Values

### PROP_HIGHLIGHT_IF_BACK

    public static final int PROP_HIGHLIGHT_IF_BACK

  The property id for highlighting the part if it is not in front.

  See Also:
    Constant Field Values

### PROP_PANE_MENU

    public static final int PROP_PANE_MENU

  The property id for pane menu changes

  See Also:
    Constant Field Values

Method Detail

### setBounds

    public void setBounds(Rectangle bounds)

  Sets the bounds of this part.

  Parameters:
    `bounds` - bounding rectangle (not null)

### setVisible

    public void setVisible(boolean isVisible)

  Notifies the part whether or not it is visible in the current perspective. A part is visible iff any part of its widgetry can be seen.

  Parameters:
    `isVisible` - true if the part has just become visible, false if the part has just become hidden

### setFocus

    public void setFocus()

  Forces this part to have focus.

### addPropertyListener

    public void addPropertyListener(IPropertyListener listener)

  Adds a listener for changes to properties of this workbench part. Has no effect if an identical listener is already registered.

  The properties ids are defined by the PROP_* constants, above.

  Parameters:
    `listener` - a property listener (not null)

### removePropertyListener

    public void removePropertyListener(IPropertyListener listener)

  Remove a listener that was previously added using addPropertyListener.

  Parameters:
    `listener` - a property listener (not null)

### getName

    public String getName()

  Returns the short name of the part. This is used as the text on the tab when this part is stacked on top of other parts.

  Returns:
    the short name of the part (not null)

### getTitle

    public String getTitle()

  Returns the title of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

  The title is used to populate the title bar of this part's visual container.

  Returns:
    the workbench part title (not null)

### getTitleStatus

    public String getTitleStatus()

  Returns the status message from the part's title, or the empty string if none. This is a substring of the part's title. A typical title will consist of the part name, a separator, and a status message describing the current contents.

  Presentations can query getName() and getTitleStatus() if they want to display the status message and name separately, or they can use getTitle() if they want to display the entire title.

  Returns:
    the status message or the empty string if none (not null)

### getTitleImage

    public Image getTitleImage()

  Returns the title image of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

  The title image is usually used to populate the title bar of this part's visual container. Since this image is managed by the part itself, callers must not dispose the returned image.

  Returns:
    the title image

### getTitleToolTip

    public String getTitleToolTip()

  Returns the title tool tip text of this workbench part. If this value changes the part must fire a property listener event with `PROP_TITLE`.

  The tool tip text is used to populate the title bar of this part's visual container.

  Returns:
    the workbench part title tool tip (not null)

### isDirty

    public boolean isDirty()

  Returns true iff the contents of this part have changed recently. For editors, this indicates that the part has changed since the last save. For views, this indicates that the view contains interesting changes that it wants to draw the user's attention to.

  Returns:
    true iff the part is dirty

### isBusy

    public boolean isBusy()

  Return true if the the receiver is currently in a busy state.

  Returns:
    boolean true if busy

### getToolBar

    public Control getToolBar()

  Returns the local toolbar for this part, or null if this part does not have a local toolbar. Callers must not dispose or downcast the return value.

  Returns:
    the local toolbar for the part, or null if none

### getMenu

    public IPartMenu getMenu()

  Returns the menu for this part or null if none

  Returns:
    the menu for this part or null if none

### getControl

    public Control getControl()

  Returns an SWT control that can be used to indicate the tab order for this part. This can be returned as part of the result to `StackPresentation.getTabList(IPresentablePart)`. Any other use of this control is unsupported. This may return a placeholder control that is only meaningful in the context of `getTabList`.

  Returns:
    the part's control (not null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.